claw::text::kmp< RandomIterator > Class Template Reference

Exact pattern finding with the Knuth-Morris-Pratt's algorithm. More...

`#include <kmp.hpp>`

## Public Member Functions

template<class UnaryPredicate>
void | operator() (const RandomIterator pattern_begin, const RandomIterator pattern_end, const RandomIterator text_begin, const RandomIterator text_end, UnaryPredicate &action) const

## Detailed Description

template<class RandomIterator>
class claw::text::kmp< RandomIterator >

Exact pattern finding with the Knuth-Morris-Pratt's algorithm.

Author
  Julien Jorge

Definition at line 44 of file kmp.hpp.

The documentation for this class was generated from the following file:

- kmp.hpp